<?php
/**
 * Provide a admin area view for the plugin
 *
 * @since      0.0.1
 *
 * @package    Wtsr
 * @subpackage Wtsr/admin/partials
 */

if ( ! defined( 'ABSPATH' ) ) exit;

$email = '  someemail@gmail.com   ';
$email = sanitize_email($email);

$is_test_mode = defined( 'WTSR_TEST_MODE' ) && WTSR_TEST_MODE;

$order_id = 1972;
$test_emoji = false;
$show_template = false;
$show_request = false;
$show_order = false;
$generate_orders = false;
$generate_orders_domain = 'san-test.com';
// $need_check = get_option('wtsr_product_reviews_to_check');
$generate_product_reviews = false;
$need_check = false;
$reset_statuses = false;
$modules = TSManager::is_wtsr_module_enabled();
$clean_options = false;

//$mailer = WC()->mailer();
//$email = $mailer->emails['Wtsr_WC_Email_Review_Request'];
//$email->trigger( $order_id );

if ($clean_options) {
    Wtsr_Wizard::clean_wtsr_options();
}

//$reviews_with_template = ReviewsModel::get_with_template();
//
//if (!empty($reviews_with_template)) {
//    global $wpdb;
//    $table = $wpdb->prefix . 'wp2lwtsr_reviews';
//
//    foreach ($reviews_with_template as $review) {
//        $id = $review->id;
//        $status = $review->status;
//
//        if ('transferre' === $status) {
//            $result = $wpdb->update( $table,
//                array('status' => 'transferred'),
//                array( 'id' => $id )
//            );
//        }
//    }
//}

// TSManager::maybe_product_page_review_reviewed('18', 'i.synthetica12@wtsr-test.ua');

if (false) {
    global $wpdb;
    $product_reviews = $wpdb->get_row( "SELECT option_value FROM $wpdb->options WHERE option_name LIKE '%wtsr_product_reviews_%'", ARRAY_A );

    $product_reviews_decoded = json_decode($product_reviews['option_value'], true);

    $product_reviews_by_order_id = TSManager::get_order_ids_from_product_reviews($product_reviews_decoded);

    var_dump($product_reviews_by_order_id);
}

if ($generate_product_reviews) {
    $product_reviews = Wtsr_License_Fake::get_fake_product_reviews_json();

// var_dump($product_reviews);

    echo "<pre style='padding:10px;border:1px solid #ddd; background-color: #fff;'>";
    foreach ($product_reviews as $sku_data) {
        $product = get_post($sku_data['post_id']);
        ?>
        {
        "sku": "<?php echo $sku_data['meta_value']; ?>",
        "name": "<?php echo $product->post_title; ?>",
        "gtin": "",
        "mpn": "",
        "brand": "",
        "imageUrl": "",
        "productUrl": "<?php echo get_permalink($sku_data['post_id']); ?>",
        "uuid": "f7abd8c5-<?php echo $sku_data['post_id'] ?>-4b1c-97a0-c0577e1d4efd",
        "qualityIndicators": {
        "reviewIndicator": {
        "totalReviewCount": 1,
        "overallMark": 5,
        "overallMarkDescription": "EXCELLENT"
        }
        },
        "productReviews": [
        {
        "creationDate": "2019-08-05T15:51:20+02:00",
        "comment": "Spitzenqualität ",
        "criteria": [
        {
        "mark": "5",
        "type": "Total"
        }
        ],
        "mark": "5",
        "order": {
        "orderDate": "2017-09-02T15:51:20+02:00",
        "orderReference": "599",
        "uuid": "8580fc42-da83-4adf-a139-dce020a92db5"
        },
        "reviewer": {
        "uuid": "ea32bbea406d044b7f15df99ab56992a"
        },
        "uuid": "69c1bd5e-35c1-4fc2-a518-223effff1349"
        }
        ]
        },
        <?php
    }
    echo "</pre>";

}

if ($reset_statuses) {
    $finished = ReviewsModel::get_finished('id');

    foreach ($finished as $id => $data) {
        $data = array(
            'id' => $id,
            'status' => 'transferred',
            'review_sent' => $data['review_created'],
        );

        $id = ReviewsModel::update($data);
    }

    var_dump($finished);
}

if ($need_check) {

    $reviews_count = 0;

    $transferred = ReviewsModel::get_not_reviewed('order_id');
    $transferred_keys = array_keys($transferred);


    echo "<pre>";
    // var_dump($transferred_keys);
    // var_dump($transferred);
    echo "</pre>";

    $product_reviews = TSManager::check_if_product_reviews_reviewed();

    if ($product_reviews) {
        echo "<pre>";
        var_dump($product_reviews);
        echo "</pre>";
//        $start = time();
//        $order_ids_array = array();
//        // var_dump(memory_get_usage()/1048576);
//        // for ($i = 1; $i < 100; $i++) {
//            $order_ids = TSManager::get_order_ids_from_product_reviews($product_reviews);
//            // $order_ids_array = array_merge($order_ids_array, $order_ids);
//        // }
//
//        // var_dump(time() - $start);
//        // var_dump(memory_get_usage()/1048576);
//
//        var_dump($transferred_keys);
//        var_dump($transferred);
//        var_dump($order_ids);
//        // var_dump($order_ids_array);
    }

//    $products = $product_reviews['response']['data']['shop']['products'];
//    $product_skus = array();
//
//    foreach ($products as $product) {
//        $product_skus[$product['sku']] = $product['productReviews'];
//    }
//
//    $transferred = ReviewsModel::get_not_reviewed();
//    $transferred_orders = array();
//
//    foreach ($transferred as $order_item) {
//        $order_id = $order_item['order_id'];
//        // var_dump($order_id);
//
//        $order = wc_get_order( $order_id );
//
//        if (!$order) {
//            continue;
//        }
//
//        $order_items = TSManager::get_order_items($order);
//        $order_skus = array();
//
//        foreach ($order_items as $order_item) {
//            $sku = $order_item['sku'];
//
//            // var_dump($sku);
//
//            if (!empty($product_skus[$sku])) {
//                $order_skus[$sku] = $product_skus[$sku];
//            }
//
//        }
//
//        $transferred_orders[$order_id] = $order_skus;
//    }
//    var_dump(count($transferred_orders));
//    echo "<pre>";
//    print_r($transferred_orders);
//    echo "</pre>";
//
//
//
//    echo "<pre>";
//    var_dump($product_skus);
//    // var_dump($decoded['response']['data']['shop']['products']);
//    echo "</pre>";
//
//    foreach ($products as $product) {
//        ?>
<!--        <div style="padding:10px;margin:10px 0;border:1px solid #ddd;">-->
<!--            <p>-->
<!--                SKU: <strong>--><?php //echo $product['sku'] ?><!--</strong> --->
<!--                Name: <strong>--><?php //echo $product['name'] ?><!--</strong> --->
<!--                URL: <strong>--><?php //echo $product['productUrl'] ?><!--</strong> --->
<!--                uuid: <strong>--><?php //echo $product['uuid'] ?><!--</strong>-->
<!--            </p>-->
<!---->
<!--            --><?php
//            foreach ($product['productReviews'] as $review) {
//                ?>
<!--                <p style="padding: 0 0 0 15px;">-->
<!--                    creationDate: --><?php //echo $review['creationDate']; ?><!-- --->
<!--                    comment: --><?php //echo $review['comment']; ?><!-- <br>-->
<!--                    order: --><?php //echo $review['order']['orderDate']; ?><!-- --->
<!--                    --><?php //echo $review['order']['orderReference']; ?><!-- --->
<!--                    --><?php //echo $review['order']['uuid']; ?><!--<br>-->
<!---->
<!--                    uuid: --><?php //echo $review['uuid']; ?>
<!--                </p>-->
<!--                --><?php
//                $reviews_count++;
//            }
//            ?>
<!--        </div>-->
<!--        --><?php
//    }
//
//    echo "<h1>".$reviews_count."</h1>";
}

if (false) {
    var_dump(TSManager::get_order_items(wc_get_order( $order_id )));
}

if ($show_template) {
    $template = TSManager::get_email_template($order_id, 'https://www.trustedshops.com/reviews/evaluate_product?reviewrequest_uuid=7b5126cc-7629-4b0a-97af-82b0252947e0&shop_id=XDCA254DEFA014E61F035DF1412E17FDD');
    ?>
    <div style="padding:10px;max-width:800px;">
        <?php
        echo $template;
        ?>
    </div>
    <?php

    var_dump(strlen($template));
}

if ($show_order) {
    $order = wc_get_order($order_id);

    $order_data = $order->get_data();
    $order_items = $order->get_items();

    $meta_values = get_post_meta( $order_id, 'Trusted Shops Review', true );

    var_dump($meta_values);

    var_dump($order_data);

    foreach ($order_items as $key => $item) {
        $product = $item->get_product();
        $product_id = $product->get_id();
        $product_data = $product->get_data();
        $product_type = $product->get_type();
        $product_sku = $product_data['sku'];
        $product_name = $product_data['name'];
        $product_url = get_permalink( $product_id );
        $product_thumbnail = get_the_post_thumbnail_url( $product_id );
        echo '=============================================';
        var_dump($product_data['slug']);
//    var_dump($product_id);
        var_dump($product_type);
//    var_dump($product_name);
//    var_dump($product_sku);
//    var_dump($product_url);
//    var_dump($product_thumbnail);

        $name = $product_name;
        $sku = $product_sku;
        $url = $product_url;
        $thumbnail = $product_thumbnail;

        // echo '---------------------------------------------';

        if ('variation' === $product_type) {
            $parent_product_id = $product->get_parent_id();
            $parent_product = wc_get_product( $parent_product_id );
            $parent_product_data = $parent_product->get_data();
            $parent_product_type = $parent_product->get_type();
            $parent_product_sku = $parent_product_data['sku'];
            $parent_product_slug = $parent_product_data['slug'];
            $parent_product_name = $parent_product_data['name'];
            $parent_product_url = get_permalink( $parent_product_id );
            $parent_product_thumbnail = get_the_post_thumbnail_url( $parent_product_id );

            if (empty($sku)) {
                $sku = $parent_product_sku;
            }

            if (empty($thumbnail)) {
                $thumbnail = $parent_product_thumbnail;
            }

            var_dump($parent_product_slug);
//        var_dump($parent_product_id);
//        var_dump($parent_product_type);
//        var_dump($parent_product_name);
//        var_dump($parent_product_sku);
//        var_dump($parent_product_url);
//        var_dump($parent_product_thumbnail);
        }

        echo '---------------------------------------------';

        $name = str_replace('"', '', $name);
        $name = str_replace('`', '', $name);
        $name = str_replace("'", '', $name);
        $name = trim($name);

        var_dump($name);
        var_dump($sku);
        var_dump($url);
        var_dump($thumbnail);

        echo '=============================================';
        echo '<br>';

        // var_dump($product_data);
        // var_dump($product);
    }

//var_dump($order_data);
//var_dump($order_items);

}

if ($show_request) {
    $ts_body = TSManager::get_review_request_body($order_id);
    // $ts_shop_body = TSManager::get_review_shop_request_body($order_id);

    echo '<pre>';
    echo $ts_body;
    echo PHP_EOL;
    echo PHP_EOL;
    // echo $ts_shop_body;
    echo '</pre>';

    $api = new TSApi('restricted');
    $review_request = $api->get_review_request($ts_body);
    var_dump($review_request);
}

if ($generate_orders) {
    $start = time();

    var_dump(TSManager::generate_dummy_orders($generate_orders_domain, true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders($generate_orders_domain, true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders('ebay.com', true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders($generate_orders_domain, true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders('amazon.com', true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders($generate_orders_domain, true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders($generate_orders_domain, true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders('ebay.com', true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders($generate_orders_domain, true, 'checkout'));
    var_dump(TSManager::generate_dummy_orders('amazon.com', true, 'checkout'));

    var_dump(time() - $start);
}
?>

<h3><?php _e('Dev area', 'more-better-reviews-for-woocommerce'); ?></h3>

<table class="table-settings">
    <thead>
    <tr>
        <th colspan="3"><?php _e('Generate dummy orders', 'more-better-reviews-for-woocommerce'); ?></th>
    </tr>
    </thead>

    <tbody>
    <tr>
        <th style="vertical-align: top">
            <?php _e('Input email domain', 'more-better-reviews-for-woocommerce'); ?>
        </th>
        <td style="vertical-align: top" class="wtsr-processing-holder">
            <input class="form-input" id="wtsr_generate_dummy_orders_domain" type="email" value="" placeholder="@plugin-test.de">
            <button id="wtsr_generate_dummy_orders" class="button button-primary" type="button" style="margin-top: 15px;">
                <?php _e('Generate 10 dummy orders', 'more-better-reviews-for-woocommerce'); ?>
            </button>

            <div class="wtsr-spinner-holder">
                <div class="wtsr-spinner"></div>
            </div>
        </td>
        <td style="vertical-align: top">
            <p style="margin: 7px 0">
                <?php _e('Input email domain', 'more-better-reviews-for-woocommerce'); ?>
            </p>
            <p style="margin: 7px 0">
                <?php _e('Please be patient, it could take upo to a minute, do not reload a page.', 'more-better-reviews-for-woocommerce'); ?>
            </p>
        </td>
    </tr>
    </tbody>
</table>
