<?php
/**
 * Provide a admin area view for the plugin
 *
 * @since      0.0.1
 *
 * @package    Wtsr
 * @subpackage Wtsr/admin/partials
 * @var $is_woocommerce_reviews_disabled_globally
 */

if ( ! defined( 'ABSPATH' ) ) exit;

$review_id = sanitize_text_field( $_GET['review_id'] );
$reviews = ReviewsModel::get( $review_id );
$reviews_with_template = ReviewsModel::get_with_template();
$current_index = 0;
$first = false;
$last = false;
$next = false;
$prev = false;

foreach ($reviews_with_template as $index => $data) {
    if ($review_id === $data->id) {
        $current_index = $index;
    }
}

if (0 === $current_index) {
    $first = true;
}

$next_index = $current_index + 1;

if (empty($reviews_with_template[$next_index])) {
    $last = true;
}

if (!$first) {
    $prev_index = $current_index - 1;
    $prev = $reviews_with_template[$prev_index]->id;
}

if (!$last) {
    $next = $reviews_with_template[$next_index]->id;
}

$wtsr_email_send_via = TSManager::get_email_send_via();
?>

<h3><?php _e('Review requests preview', 'more-better-reviews-for-woocommerce'); ?></h3>

<div id="top_review_navigation" class="review-navigation">
    <?php
    if ($prev) {
        ?>
        <a class="button button-primary" href="?page=wp2leads-wtsr&tab=reviews&review_id=<?php echo $prev; ?>#wtsr-nav-tab">
            &#171; <?php _e('Previous request', 'more-better-reviews-for-woocommerce'); ?>
        </a>
        <?php
    }

    if ($next) {
        ?>
        <a class="button button-primary" href="?page=wp2leads-wtsr&tab=reviews&review_id=<?php echo $next; ?>#wtsr-nav-tab">
            <?php _e('Next request', 'more-better-reviews-for-woocommerce'); ?> &#187;
        </a>
        <?php
    }
    ?>
</div>

<?php
if (!empty($reviews)) {
    if ('woocommerce' === $wtsr_email_send_via) {
        ?>
        <div style="max-width:800px;margin:auto;">
            <h3><?php _e('Test the Spammyness of your Emails', 'more-better-reviews-for-woocommerce'); ?></h3>
            <p>
                <?php _e('Get your testing email address on <a href="https://www.mail-tester.com/" target="_blank">https://www.mail-tester.com/</a>.', 'more-better-reviews-for-woocommerce'); ?>
                <?php _e('Copy it and paste into the field below and click "Send email" button.', 'more-better-reviews-for-woocommerce'); ?>
                <?php _e('After this go back to previously opened mail-tester page and click "Then check your score" button.', 'more-better-reviews-for-woocommerce'); ?>
            </p>

            <div class="wtsr_input-group_holder">
                <div class="wtsr_input_holder">
                    <input
                        class="form-input"
                        type="text"
                        id="wtsr_email_test_score"
                        <?php echo 'woocommerce' !== $wtsr_email_send_via ? 'disabled' : ''; ?>
                        placeholder="<?php _e('Paste email address', 'more-better-reviews-for-woocommerce'); ?>"
                    >
                </div>

                <div class="wtsr_btn_holder">
                    <button
                        id="wtsr_email_test_score_button"
                        class="button button-primary"
                        data-review="<?php echo $review_id; ?>"
                    >
                        <?php _e('Send email', 'more-better-reviews-for-woocommerce'); ?>
                    </button>
                </div>
            </div>
        </div>
        <?php
    }
    foreach ($reviews as $review) {
        ?>
        <div id="wtsr_email_template_preview" style="padding:10px;border:1px solid #ddd;border-radius:5px;background-color:#fff;max-width:800px;margin:auto;margin-top:35px;margin-bottom:35px;">
        <?php Wtsr_Template::preview_email_html_template($review); ?>
        </div>
        <?php
    }
}
?>

<div class="review-navigation">
    <?php
    if ($prev) {
        ?>
        <a class="button button-primary" href="?page=wp2leads-wtsr&tab=reviews&review_id=<?php echo $prev; ?>">
            &#171; <?php _e('Previous request', 'more-better-reviews-for-woocommerce'); ?>
        </a>
        <?php
    }

    if ($next) {
        ?>
        <a class="button button-primary" href="?page=wp2leads-wtsr&tab=reviews&review_id=<?php echo $next; ?>">
            <?php _e('Next request', 'more-better-reviews-for-woocommerce'); ?> &#187;
        </a>
        <?php
    }
    ?>
</div>

