<?php
$license_version = Wtsr_License::get_license_version();
$user_limit = get_option('wtsr_limit_users');
$days_limit = get_option('wtsr_limit_days');

if ('free' === $license_version) {
    $user_count = get_option('wtsr_limit_count', 0);
    $user_count_timeout = get_option('wtsr_limit_count_timeout', 0);
    $timeout_label = '';

    if (!empty($user_count_timeout)) {
        $user_count_timeout_left = $user_count_timeout - time();

        if ($user_count_timeout_left > 86400) {
            $timeout_left = ceil($user_count_timeout_left / 86400);
            $timeout_label = $timeout_left . ' ' . __(' days', 'more-better-reviews-for-woocommerce');
        } else {
            $timeout_left = ceil($user_count_timeout_left / 3600);
            $timeout_label = $timeout_left . ' ' . __(' hours', 'more-better-reviews-for-woocommerce');
        }
    }

    $user_left = (int) $user_limit - (int) $user_count;

    ?>
    <div class="notice notice-warning inline" style="margin-bottom:15px;">
        <p>
            <?php
            if (0 > $user_left || 0 === $user_left) {
                $string = __( 'You have exceeded your Pro Version limit for %s reviews per %s days.', 'more-better-reviews-for-woocommerce' );
                echo sprintf($string , $user_limit, $days_limit );
            } else {
                $string = __( 'You still have %s out of %s-review requests you can generate. (Reset every %s days)', 'more-better-reviews-for-woocommerce' );
                echo sprintf($string , $user_left, $user_limit, $days_limit );
            }

            echo ' ' . __( '</br>Wait without generating new review requests or get a license for unlimited review requests <a href="https://wp2leads-for-klick-tipp.com/web/better-reviews-for-woocommerce-price-list-eng/" target="_blank">here</a>.', 'more-better-reviews-for-woocommerce' );

            if (!empty($timeout_label)) {
                $string = __( 'Limit will be reset in <strong>%s</strong>.', 'more-better-reviews-for-woocommerce' );
                echo ' ' . sprintf($string , $timeout_label );
            }
            ?>
        </p>
    </div>
    <?php
}