<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @since      0.0.1
 *
 * @package    Wtsr
 * @subpackage Wtsr/admin/partials
 */

if ( ! defined( 'ABSPATH' ) ) exit;
$ts_credentials = TSManager::get_ts_credentials();

$ts_id = $ts_credentials['ts_id'];
$ts_email = $ts_credentials['ts_email'];
$ts_password = $ts_credentials['ts_password'];
$tutorial_link = '';
?>

<p>
    <?php _e('By default <strong>WooCommerce only mode</strong> is enabled to get reviews from your customers. If you want more from your customers reviews <a href="?page=wp2leads-wtsr&tab=overview" target="_blank">click here for the overview!</a>', 'more-better-reviews-for-woocommerce'); ?>
    <?php _e('You can get reviews from <strong>Trusted Shops</strong> - The European trust brand in e-commerce using their API.', 'more-better-reviews-for-woocommerce'); ?>
    <?php _e('If you already have your Trusted Shops ID and API credential, please input them in the form below.', 'more-better-reviews-for-woocommerce'); ?>
</p>

<p>
    <?php echo sprintf(__('Watch our tutorials <a href="%s">here</a> if you want to get to know how get your own <strong>Trusted Shops ID</strong> and <strong>API credentials</strong>.', 'more-better-reviews-for-woocommerce') , $tutorial_link ); ?>
</p>

<div class="settings-container">
    <div class="settings-item">
        <div class="settings-item-group">
            <div class="settings-item-group-col">
                <p class="settings-item-label"><?php _e('Trusted Shops ID', 'more-better-reviews-for-woocommerce'); ?></p>
            </div>

            <div class="settings-item-group-col">
                <div class="settings-item-value">
                    <input class="form-input" name="wtsr_ts_id" id="wtsr_ts_id" type="text" value="<?php echo $ts_id; ?>">
                </div>
            </div>
        </div>
    </div>

    <div class="settings-item">
        <div class="settings-item-group">
            <div class="settings-item-group-col">
                <p class="settings-item-label"><?php _e('Trusted Shops API Email', 'more-better-reviews-for-woocommerce'); ?></p>
            </div>

            <div class="settings-item-group-col">
                <div class="settings-item-value">
                    <input class="form-input" name="wtsr_ts_email" id="wtsr_ts_email" type="email" value="<?php echo $ts_email; ?>">
                </div>
            </div>
        </div>
    </div>

    <div class="settings-item">
        <div class="settings-item-group">
            <div class="settings-item-group-col">
                <p class="settings-item-label"><?php _e('Trusted Shops API Password', 'more-better-reviews-for-woocommerce'); ?></p>
            </div>

            <div class="settings-item-group-col">
                <div class="settings-item-value">
                    <input class="form-input" name="wtsr_ts_password" id="wtsr_ts_password" type="password" value="<?php echo $ts_password; ?>">
                </div>
            </div>
        </div>
    </div>

    <div class="settings-control">
        <button id="wizard-wtsr_save_credential" class="button button-primary" type="button">
            <?php _e('Enable Trusted Shops mode', 'more-better-reviews-for-woocommerce'); ?>
        </button>

        <button id="wizard-wtsr_enable_woocommerce_only" class="button button-primary" type="button"
            data-confirm-message="<?php _e('Delete Trusted Shops credentials after WooCommerce mode will be activated? Click Cancel if you want credentials to be saved in settings.', 'more-better-reviews-for-woocommerce'); ?>"
        >
            <?php _e('Enable WooCommerce only mode', 'more-better-reviews-for-woocommerce'); ?>
        </button>
    </div>
</div>