<?php


class Wtsr_Settings {
    public static function save_email_send_via() {
        $wtsr_email_send_via = !empty($_POST['emailSendVia']) ? sanitize_text_field($_POST['emailSendVia']) : false;
        $wtsr_email_send_via_woocommerce_delay = !empty($_POST['emailSendViaWoocommerceDelay']) ? trim(sanitize_text_field($_POST['emailSendViaWoocommerceDelay']), ':') : false;

        if (empty($wtsr_email_send_via)) {
            $params = array(
                'message' => __('Select service you want to use for sending email requests.', 'more-better-reviews-for-woocommerce')
            );

            Wtsr_Admin_Ajax::error_response($params);
        }

        if (!empty($wtsr_email_send_via_woocommerce_delay)) {
            $delay_array = explode(':', $wtsr_email_send_via_woocommerce_delay);

            if (!empty($delay_array)) {
                foreach ($delay_array as $delay_days) {
                    if (!is_numeric($delay_days)) {
                        $params = array(
                            'message' => __('Please use only numbers devided with ":" for WooCommerce Email Delay.', 'more-better-reviews-for-woocommerce')
                        );

                        Wtsr_Admin_Ajax::error_response($params);
                    }
                }
            }
        }

        if (!empty($wtsr_email_send_via)) {
            update_option( 'wtsr_email_send_via', $wtsr_email_send_via );

            if ('woocommerce' === $wtsr_email_send_via && !empty($wtsr_email_send_via_woocommerce_delay)) {
                update_option('wtsr_email_send_via_woocommerce_delay', $wtsr_email_send_via_woocommerce_delay);
            } else {
                delete_option( 'wtsr_email_send_via_woocommerce_delay' );
            }
        } else {
            delete_option( 'wtsr_email_send_via' );
            delete_option( 'wtsr_email_send_via_woocommerce_delay' );
        }

        $params = array(
            'message' => __('Success', 'more-better-reviews-for-woocommerce') . ': ' . __('Settings saved.', 'more-better-reviews-for-woocommerce'),
            'reload' => 1,
        );

        Wtsr_Admin_Ajax::success_response($params);
    }
}