<?php
/**
 * Review request send to customer
 *
 * @var $email_heading
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$order_id = $order->get_id();
$review = ReviewsModel::get_by_order_id($order_id);

if (empty($review)) {
    return;
}
$order = wc_get_order( $order_id );

if (!$order) {
    return '';
}

$order_data = $order->get_data();

$order_first_name = !empty($order_data['billing']['first_name']) ? $order_data['billing']['first_name'] : '';
$order_last_name = !empty($order_data['billing']['last_name']) ? $order_data['billing']['last_name'] : '';

$link = $review[0]->review_link;
$message = $review[0]->review_message;
$wtsr_email_template_editor = get_option('wtsr_email_template', TSManager::get_default_email_template_editor());
if (false !== strpos($wtsr_email_template_editor, '{order_number}')) {
    $wtsr_email_template_editor = str_replace( '{order_number}', $order_id, $wtsr_email_template_editor );
}

if (false !== strpos($wtsr_email_template_editor, '{customer_fn}')) {
    $wtsr_email_template_editor = str_replace( '{customer_fn}', $order_first_name, $wtsr_email_template_editor );
}

if (false !== strpos($wtsr_email_template_editor, '{customer_ln}')) {
    $wtsr_email_template_editor = str_replace( '{customer_ln}', $order_last_name, $wtsr_email_template_editor );
}

if (false !== strpos($wtsr_email_template_editor, '{order_date}')) {
    $wtsr_email_template_editor = str_replace( '{order_date}', $order_date_created = $order_data['date_created']->date(get_option( 'date_format' )), $wtsr_email_template_editor );
}

if (false !== strpos($wtsr_email_template_editor, '{order_items_table}')) {
    $order_items_table = TSManager::get_order_items_table_template($order_id, $link, 0);

    $wtsr_email_template_editor = str_replace( '{order_items_table}', $order_items_table, $wtsr_email_template_editor );
}

if (false !== strpos($wtsr_email_template_editor, '{order_items_table_one_col}')) {
    $order_items_table = TSManager::get_order_items_table_one_col_template($order_id, $link, 0);

    $wtsr_email_template_editor = str_replace( '{order_items_table_one_col}', $order_items_table, $wtsr_email_template_editor );
}
?>
<?php do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<p>
    <?php printf( __( 'Review request for order #%d.', 'more-better-reviews-for-woocommerce' ), $order->get_order_number() ); ?>
</p>

<?php echo wpautop($wtsr_email_template_editor); ?>

<?php do_action( 'woocommerce_email_footer', $email ); ?>